#include "noenterkey.h"


void noEnter(void){

  struct timeval tv;
  struct termios raw;

  tcgetattr(STDIN_FILENO,&raw);
  raw.c_lflag &= ~(ICANON|ECHO);
  raw.c_cc[VMIN]=1;
  raw.c_cc[VTIME]=0;
  tcsetattr(STDIN_FILENO,TCSAFLUSH,&raw);
}

void noEnterEcho(void){

  struct timeval tv;
  struct termios raw;

  tcgetattr(STDIN_FILENO,&raw);
  raw.c_lflag &= ~(ICANON);
  raw.c_lflag |= ECHO;
  raw.c_cc[VMIN]=1;
  raw.c_cc[VTIME]=0;
  tcsetattr(STDIN_FILENO,TCSAFLUSH,&raw);
}


void enterRestore(void) {

  struct timeval tv;
  struct termios raw;

  tcgetattr(STDIN_FILENO,&raw);
  raw.c_lflag |=(ICANON|ECHO);
  raw.c_cc[VMIN]=1;
  raw.c_cc[VTIME]=0;
  tcsetattr(STDIN_FILENO,TCSAFLUSH,&raw);

}


/*
int main(void) {

  noEnter();
  
  while (1) {
          c = getchar();
          printf("recieved %c\n", c);
  }  
  
  return 0;
}
*/
